> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products



## OpenAPI

````yaml /openapi.json get /ListProducts
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /ListProducts:
    get:
      tags:
        - Products
      summary: List Products
      operationId: ListProducts
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductResponse'
components:
  schemas:
    ProductResponse:
      description: ''
      type: object
      properties:
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        Name:
          type: string
          default: ''
        ExternalId:
          type: string
          default: ''
        Description:
          type: string
          default: ''
      required:
        - Id
        - Name
        - ExternalId
        - Description
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````